/* Licensed Materials - Property of IBM              */		
/* (c) Copyright IBM Corp. 2020. All Rights Reserved.*/	

package org.opengroup.osdu.register.provider.ibm.subscriber;


import org.opengroup.osdu.register.subscriber.model.Secret;
import org.opengroup.osdu.register.subscriber.model.Subscription;

import java.util.List;

public interface IDatastoreAccess {
    Subscription create(Subscription s);

    Subscription get(String id);

    List<Subscription> query(String notificationId);

    boolean delete(String id);

    boolean patch(String id, Secret secret);

    List<Subscription> getAll() throws Exception;
}
