package org.opengroup.osdu.register.provider.azure.verifier;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.junit.jupiter.MockitoExtension;
import org.opengroup.osdu.core.common.model.http.AppException;

import static org.junit.jupiter.api.Assertions.assertEquals;

@ExtendWith(MockitoExtension.class)
public class GsaTokenVerifierImplTest {

  @InjectMocks
  private GsaTokenVerifierImpl gsaTokenVerifier;

  @Test
  public void verify_throw501_whenDoesNotImplemented() throws Exception {
    try {
      gsaTokenVerifier.verify("token");
    } catch (AppException ex) {
      assertEquals(501, ex.getError().getCode());
    }
  }
}